Root password being filled by Chrome, changing it on host edit
Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Web Interface   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1761

  

Description

"Recently" (last week or two?), Chrome has started filling in the root password field again on the host edit page, which means your

host's new password becomes "changeme" or whatever you happen to have saved.

It appears this is a deliberate feature, even though we set autocomplete=off since #2607:

http://www.theregister.co.uk/2014/04/09/chrome_makes_new_password_grab_in_version_34/

http://www.techno360.in/how-to-enable-autocompleteoff-feature-in-chrome-34/

Associated revisions

Revision 19abc86f - 10/07/2014 02:32 AM - Shlomi Zadok

Fixes #5468 - prevent Chrome from autofilling passwords

History

#1 - 08/15/2014 09:08 AM - Dominic Cleal

http://code.google.com/p/chromium/issues/detail?id=352347 is the main bug report, which while being depressing reading, does appear to be moving

in the right direction.

#2 - 08/15/2014 09:34 AM - Lukas Zapletal

This is annoying and I wonder if we are able to get rid of this by adding some random suffix to the password field name.

#3 - 08/15/2014 09:41 AM - Dominic Cleal

I don't think it cares about the field name (e.g. it fills in a password from the user field into one called "root_pass").  Some say you can add hidden

fields to have it fill those in instead, but eugh.

#4 - 08/19/2014 06:55 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Target version set to 1.7.5

- Pull request https://github.com/theforeman/foreman/pull/1699 added

- Pull request deleted ()

#5 - 08/20/2014 06:49 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#6 - 09/10/2014 07:20 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#7 - 09/15/2014 09:28 AM - Shlomi Zadok
https://projects.theforeman.org/issues/2607
http://www.theregister.co.uk/2014/04/09/chrome_makes_new_password_grab_in_version_34/
http://www.techno360.in/how-to-enable-autocompleteoff-feature-in-chrome-34/
http://code.google.com/p/chromium/issues/detail?id=352347


- Assignee changed from Lukas Zapletal to Shlomi Zadok

#8 - 09/15/2014 09:29 AM - Dominic Cleal

- Pull request https://github.com/theforeman/foreman/pull/1761 added

- Pull request deleted (https://github.com/theforeman/foreman/pull/1699)

#9 - 09/30/2014 10:37 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#10 - 10/07/2014 03:01 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 19abc86f7f7416e0a2f437285f6679841b4d6dea.

#11 - 10/07/2014 03:42 AM - Daniel Lobato Garcia

- translation missing: en.field_release set to 21
